<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Perkara_list_cetak extends CI_Controller {
	function cetak(){
		if($this->session->userdata('is_logged_in')==FALSE){
			redirect('login');
		}

		$segment = $this->uri->segment_array();
		$jenis_cetak = intval($segment[3]);
		$alur_perkara_id = $this->encrypt->decode(base64_decode($segment[4]));
		$keyword_segment = $this->encrypt->decode(base64_decode($segment[5]));
		#Pencarian
		if($keyword_segment!==0){
			$keyword = $keyword_segment;
		} else {
			$keyword = "";
		}

		#Perkara
		if($jenis_cetak==1){
			$this->load->model('perkara/perkara');
			$query = $this->perkara->getPerkaraCetak($alur_perkara_id,$keyword);
		#status perkara
		} else if($jenis_cetak==20){
			$this->load->model('perkara/perkara');
			$query = $this->perkara->getStatusPerkaraCetak($alur_perkara_id,$keyword);
		#Banding
		} else if($jenis_cetak==2){
			$this->load->model('perkara/banding');
			$query = $this->banding->getPerkaraBandingCetak($alur_perkara_id,$keyword);
		#Kasasi
		} else if($jenis_cetak==3){
			$this->load->model('perkara/kasasi');
			$query = $this->kasasi->getPerkaraKasasiCetak($alur_perkara_id,$keyword);
		#PK
		} else if($jenis_cetak==4){
			$this->load->model('perkara/pk');
			$query = $this->pk->getPerkaraPKCetak($alur_perkara_id,$keyword);
		#Grasi
		} else if($jenis_cetak==5){
			$this->load->model('perkara/grasi');
			$query = $this->grasi->getPerkaraGrasiCetak($alur_perkara_id,$keyword);
		#BarangBukti
		} else if($jenis_cetak==6){
			$this->load->model('perkara/barang_bukti');
			$query = $this->barang_bukti->getPerkaraBBCetak($alur_perkara_id,$keyword);
		#Penehanan
		} else if($jenis_cetak==7){
			$this->load->model('penahanan/penahanan_m');
			$query = $this->penahanan_m->getPenahananListCetak($alur_perkara_id,$keyword);
		#Eksekusi
		} else if($jenis_cetak==8){
			$this->load->model('perkara/eksekusi');
			$query = $this->eksekusi->getPerkaraEksekusiCetak($alur_perkara_id,$keyword);
		#Eksekusi HT
		}  else if($jenis_cetak==9){
			$this->load->model('perkara/eksekusi_ht');
			$query = $this->eksekusi_ht->getPerkaraEksekusiHTCetak($alur_perkara_id,$keyword);
		}
		$data['list_perkara'] = $query;
		$data['idalurperkara'] = $alur_perkara_id;
		$data['jenis_cetak'] = $jenis_cetak;
		
		$this->load->vars($data);
		$this->load->view('perkara_list/perkara_list_cetak');
	}
}